CREATE DATABASE IF NOT EXISTS ducat;

USE ducat;

----- CREATE TABLE. -----
CREATE TABLE employee (
	eid INT(50) NOT NULL AUTO_INCREMENT, 
	ename VARCHAR(200) DEFAULT NULL, 
	ecompany VARCHAR(200) DEFAULT NULL,
	edept VARCHAR(100) DEFAULT NULL,
	egender VARCHAR(100) DEFAULT NULL,
	PRIMARY KEY (eid)
);

----- INSERT DATA. -----
insert into employee (eid, ename, ecompany, edept, egender) values (1, 'Jolene Gredden', 'Centizu', 'Research and Development', 'Female');
insert into employee (eid, ename, ecompany, edept, egender) values (2, 'Virgie Madle', 'Tambee', 'Legal', 'Male');
insert into employee (eid, ename, ecompany, edept, egender) values (3, 'Vaughn Sager', 'Jabbercube', 'Product Management', 'Male');
insert into employee (eid, ename, ecompany, edept, egender) values (4, 'Jordan Casajuana', 'Jetwire', 'Services', 'Female');
insert into employee (eid, ename, ecompany, edept, egender) values (5, 'Demetre Rubury', 'Dabfeed', 'Marketing', 'Male');
insert into employee (eid, ename, ecompany, edept, egender) values (6, 'Selinda Hasser', 'Trudeo', 'Accounting', 'Female');
insert into employee (eid, ename, ecompany, edept, egender) values (7, 'Kerwin Michelin', 'Kayveo', 'Research and Development', 'Male');
insert into employee (eid, ename, ecompany, edept, egender) values (8, 'Jarrod Godon', 'Wikibox', 'Training', 'Male');
insert into employee (eid, ename, ecompany, edept, egender) values (9, 'Ernst Goodlip', 'Skyble', 'Services', 'Male');
insert into employee (eid, ename, ecompany, edept, egender) values (10, 'Buddy Messager', 'Skynoodle', 'Business Development', 'Male');

----- STORED PROCEDURE QUERY TO RETURN THE EMPLOYEE LIST FROM THE DATABASE.
DELIMITER $$
CREATE PROCEDURE returnEmployeeList()
	BEGIN
		SELECT * FROM employee;
	END $$
DELIMITER ;